VMTKNUMPYTOMESH(1)

NAME
vmtknumpytomesh - vmtk script vmtknumpytomesh

DESCRIPTION
Automatic piping vmtkNumpyToMesh Parsing options vmtkNumpyToMesh

vmtkNumpyToMesh : Takes a nested python dictionary containing numpy

    arrays specifying Points, PointData, Cells,CellData, and CellPointIds describing connectivity and returns a VMTK mesh (VTK Unstructured Grid) object

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i ArrayDict (dict,1): the input array dictionary

-ifile ArrayDictInputFileName (str,1): filename for the default

    ArrayDict reader

-flatten FlattenListOfCells: enable to convert cells which are

    formated as a list of numpy arrays to the default flat structure

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh